「Linux」- 安装网易云音乐(Neteast Cloud Music)

  CREATED BY JENKINSBOT

问题描述

我们想在 Ubuntu 20.04 LTS 中安装网易云音乐(Neteast Cloud Music),自然是用来播放音乐。

该笔记将记录:在 Debian 及衍生版(比如 Ubuntu)中安装网易云音乐方法

解决方案

有三种安装方法,分别用于不同的安装场景:
1)受到官方支持的发行版。比如 Ubuntu 18.04、Deepin 15 发行版
2)未受官方支持的发行版,但是为 Debian 的衍生版。比如 Kali Linux、Debian 等等
3)未受官方支持的发行版,并且非 Debian 的衍生版。比如 CentOS、Fedora 等等。

方法一、受到官方支持的发行版

比如官方提供 Ubuntu 18.04 安装包,直接使用 dpkg 命令进行安装(这里不再进行深入的介绍)。例如:

dpkg -i netease-cloud-music_1.2.1_amd64_ubuntu_20190428.deb

方法二、未受官方支持的发行版,但是为 Debian 的衍生版

该方法适用于「未受官方支持的发行版,但是为 Debian 衍生版」的 Linux 发行版的安装,比如 我们想在 Kali Linux 中安装网易云音乐。

该方法是为了解决我们最关心的问题:不要破坏原有的软件包依赖关系

为此,1)我们先手动安装依赖包,而不是依靠 APT 自己解决以来关系;2)然后最后手动安装 .deb 网易云音乐的应用包;

方法三、未受官方支持的发行版,并且非 Debian 的衍生版

虽然官方只提供某些发行版的二进制包,但是都是 x86 平台的呀(如果非 x86 平台的就算了),步骤如下:
1)使用 dpkg -x 命令解压 .deb 安装包
2)然后使用 ldd 找找库文件,搞一下就行了;

然而,我们只提供思路,并不想折腾。毕竟,对于我们来说,用手机播放也可以,何苦。

# 09/21/2020 获取可以封装到 Docker 中运行 :-)

方法一、在 Ubuntu 20.04 LTS 中,安装网易云音乐

官方提供 ubuntu 18.04 (64位),原则上不能用于 Ubuntu 20.04 LTS 发行版,可能会破坏依赖关系,但是我们懒呀(那就铤而走险,后果自负):

dpkg -i netease-cloud-music_1.2.1_amd64_ubuntu_20190428.deb

方法二、在 Kali Linux rolling 中,安装网易云音乐

我们这里使用 # 方法二 # 安装(因为官方没有提供适用于 Kali Linux 的安装包,所以不能使用 # 方法一 # 安装,否则肯能会破坏软件包的依赖关系):

#1 获取网易云音乐依赖的软件包
dpkg-deb -I netease-cloud-music_1.1.0_amd64_ubuntu.deb  | grep Depends: | tr ',' '\n' | awk '{print $1}' | grep -v 'Depends:' | sort > netease-cloud-music-required.log

#2 获取系统已经安装的软件包
dpkg --get-selections | awk '{print $1}' | awk -F ":" '{print $1}' | sort | uniq > sys-installed.log

#3 交叉对比,以获取未未安装的软件包
common -1 -3 sys-installed.log netease-cloud-music-required.log

#4 根据对比结果,安装未安装的依赖包
apt-get install pkg0 pkg1 pkg2...

#5 最后,安装网易云音乐
dpkg -i netease-cloud-music_1.1.0_amd64_ubuntu.deb

在 #4 中,Kali Linux 的源可能没有特定版本软件包,导致我们需要去 Debian 官方搜索并下载 .deb 包,然后手动安装。

注意事项:
1)在 Kali Linux 上,默认 ROOT 权限,我们不会随意安装软件,这里只进行演示测试;
2)没有直接执行 dpkg -i pkg 的原因:软件包的依赖关系极其容易破坏,在破坏后处理过程繁琐

参考文献

下载网易云音乐iPhone、iPad、Mac、Android、WP、PC版客户端